Skip to content
Navigation

Pages customers' activity over a period.

GET
https://api.sherpo.io/merchant/v1/stores/{store}/customer_activity

Authorization

  • bearer
    HTTP
    required

Path parameters

  • store
    string
    required

    The store's id.

Query parameters

  • from
    optional
    string
    format: date · pattern: ^\d{4}-\d{2}-\d{2}$
  • to
    optional
    string
    format: date · pattern: ^\d{4}-\d{2}-\d{2}$
  • filter
    optional
    object

    filter[<field>]=<value> is an equality, filter[<field>][<op>]=<value> names the operator; in repeats the parameter.

  • sort
    optional
    gross
    or
    orders
    or
    recent
    or
    name

    Sorted by name, rows without a value come last either way.

  • direction
    optional
    asc
    or
    desc
  • limit
    optional
    integer
    maximum: 100 · minimum: 1
  • cursor
    optional
    string
    maxLength: 8192
  • count
    optional
    boolean

Returns

200

Pages customers' activity over a period.

JSON
  • items
    array of
    object
    required
    • id
      string
      required
    • customer
      required

      One of the following:

      • object
      • null
    • country
      required

      One of the following:

      • string
      • null
    • currency
      string
      required
    • exponent
      required

      One of the following:

      • number
      • null
    • orders
      number
      required
    • gross
      required

      One of the following:

      • number
      • null
    • average
      required

      One of the following:

      • number
      • null
    • first_order_at
      string
      required
    • last_order_at
      string
      required
  • cursor
    required

    One of the following:

    • string
    • null
  • time_zone
    string
    required
  • from
    string
    required
  • to
    string
    required
  • total
    optional
    number
  • facets
    optional
    map of
    map<number>
JSON
  • type
    string
    required
    format: uri
  • title
    string
    required
  • status
    integer
    required
  • detail
    string
    required
  • code
    optional
    string
  • context
    optional
    object
  • reached_core
    optional
    boolean
  • core_answer
    optional
    string

Type to search…

↑↓ navigate↵ selectEsc close